locked
WSDL 2.0 RRS feed

  • Question

  •  

    Does WCF 3.0/3.5 support WSDL 2.0? If not, has it been announced when it will?

     

    Thanks

    Monday, October 8, 2007 8:56 PM

Answers

  • No, WCF 3.0/3.5 does not support WSDL 2.0 out of the box.  There are extensibility points in place that could be used to add support for some of the features.  We are currently investigating whether or not to build this support into the product in a future version.  Any input on what WSDL 2.0 support you need (and why) is useful data for us.  Please let us know.

     

    -- Dave

    Tuesday, October 9, 2007 12:01 AM

All replies

  • No, WCF 3.0/3.5 does not support WSDL 2.0 out of the box.  There are extensibility points in place that could be used to add support for some of the features.  We are currently investigating whether or not to build this support into the product in a future version.  Any input on what WSDL 2.0 support you need (and why) is useful data for us.  Please let us know.

     

    -- Dave

    Tuesday, October 9, 2007 12:01 AM
  •  

    We are building a generic product related to web services. The product will have to interop with as many web services platforms as possible. We are considering WCF and other platforms as the main technology we will use. While I'm not using WSDL 2.0 for my services, I need to prepare to the option that some of my customers will, as platforms like AXIS 2 already utilize WSDL 2.0.
    Wednesday, October 10, 2007 9:49 AM
  • BTW I couldn't find any official document regarding the new WS-* standards that WCF 3.5 supports. I am also interested in the future road map for WCF with regards to standards. Is any of these documents publicly available?

     

    Thanks

    Wednesday, October 10, 2007 9:54 AM
  • As I mentioned, we have a number of extensibility points that could be used to add WSDL 2.0 support.  Take a look at this page and the links from it:

    http://msdn2.microsoft.com/en-us/library/ms733065.aspx

     

    Also, here is the .NET 3.0 interop guide:

    http://msdn2.microsoft.com/en-us/library/ms734776.aspx

     

    I believe the only updates for .NET 3.5 were to add support for the new WS-Policy 1.5, as well as newer versions of WS-SecureConversation, WS-Trust, and WS-SecurityPolicy.

     

    -- Dave

    Wednesday, October 10, 2007 7:49 PM